Loading...
Searching...
No Matches
vector4.h File Reference
`#include <BALL/COMMON/exception.h>`
`#include <BALL/MATHS/angle.h>`

Go to the source code of this file.

## Classes

class | BALL::TVector4< T >

## Namespaces

namespace | BALL

## Global binary operators for three-dimensional vectors.

typedef TVector4< float > | BALL::Vector4
template<typename T>
BALL_INLINE TVector4< T > | BALL::operator+ (const TVector4< T > &a, const TVector4< T > &b)
template<typename T>
BALL_INLINE TVector4< T > | BALL::operator- (const TVector4< T > &a, const TVector4< T > &b)
template<typename T>
std::istream & | BALL::operator>> (std::istream &s, TVector4< T > &vector)
template<typename T>
std::ostream & | BALL::operator<< (std::ostream &s, const TVector4< T > &vector)
template<typename T>
BALL_INLINE TVector4< T > | BALL::operator* (const T &scalar, const TVector4< T > &v)
template<typename T>
BALL_INLINE TVector4< T > | BALL::operator* (const TVector4< T > &v, const T &scalar)